/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载角色下拉框
var v_gidquery = {};
var v_gid_data = jwAppCommonModel.jwAppsCommonDataAction.listSysRoleAll(v_gidquery);

//加载接口是否调用下拉框
var v_o_enable_data = [{CODE_ID:'Y',CODE_NAME:'允许'},{CODE_ID:'N',CODE_NAME:'禁止'}];

//加载是否人员推送下拉框
var v_yesno_data = [{CODE_ID:'1',CODE_NAME:'是'},{CODE_ID:'0',CODE_NAME:'否'}];

//加载是否加密下拉框
var v_push_encrypt_data = [{CODE_ID:'0',CODE_NAME:'不加密'},{CODE_ID:'1',CODE_NAME:'base64加密'},{CODE_ID:'2',CODE_NAME:'特有加密'}];
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"用户信息",
	    iconCls:$.getJwWindowPic(),
	    url:'systemdata_listSysUser',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
 				{
					field : 'EMID',
					title : '用户帐号',
					width : 100,
					align : 'center',
					formatter: function(value,row,index){
				        return "<a style=\"text-decoration: none\" href=\"javascript:void(0);\" onclick=\"editRow('"
						+ index + "')\">"+row.EMID+"</a>";
				  }	  
				}, {
					field : 'EMNAME',
					title : '用户名称',
					width : 120,
					align : 'left'
				}, {
					field : 'EMDEPARTNAME',
					title : '用户类型',
					width : 120,
					align : 'left'
				}, {
					field : 'REGDATE',
					title : '注册时间',
					width : 120,
					align : 'center'
				}, {
					field : 'REMOTE_IP',
					title : '注册IP',
					width : 150,
					align : 'left'
				}, {
					field : 'PAGESIZE',
					title : '单次条数',
					width : 80,
					align : 'center'
				}, {
					field : 'O_ENABLE',
					title : '接口调用',
					width : 80,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_o_enable_data, value);
					}
				}, {
					field : 'ISPUSH',
					title : '人员推送',
					width : 80,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_yesno_data, value);
					}
				}
             ] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip();
		}
});
/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}
//菜单更多上浮横向菜单集(无需更改)
function createOptionMenuTooltip() {
	$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
			function() {
				var index = parseInt($(this).attr('data-p1'));
				$(this).tooltip({
					content : $('<div></div>'),
					onUpdate : function(cc) {
						var row = $('#list').datagrid('getRows')[index];
						var content = getOptionMenu(row,index);
						var mCount = getOptionMenuCount();
						cc.css("border","0").panel({
							width : (80 * mCount),
							content : content
						});
					},
					position : 'right',
					deltaX : -20,
					onShow : function() {
						var t = $(this);
						t.tooltip('tip').css( {
							backgroundColor : '#ffffff'
								}).unbind().bind('mouseenter', function() {
							t.tooltip('show');
						}).bind('mouseleave', function() {
							t.tooltip('hide');
						});
					}
				});
			});
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"editRow('"
		          + index 
		          + "')\">编辑</a>"  
				  + " | <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"deleteRow('"
		          + index 
		          + "')\">删除</a>" 
				  + " | <span class=\"icon-ext-00_34\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"resetPass('"
		          + index 
		          + "')\">密码重置</a>" 
				  + " | <span class=\"icon-ext-09_42\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"modifyPass('"
		          + index 
		          + "')\">密码修改</a>"
		          + " | <span class=\"icon-ext-09_42\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"pushData('"
		          + index 
		          + "')\">批量推送</a>"
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 5;
	return is_menu_count;
}
/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	$('#detail').dialog( {
		title : '新增',
		iconCls : $.getJwWindowPic(),
		width : ls_width * 0.65,
		height :ls_height * 0.95,
		closed : false,
		cache : false,
		maximizable:true,
		left:0,
		top:0,
		href : 'system_userTabDetail',
		queryParams:get_FIELD(is_row),
		modal : true,
		buttons : [ {
			text : '保存',
			iconCls : 'icon-ok',
			handler : function() {
				saveBox('detail','list');
			}
		}, {
			text : '关闭',
			iconCls : 'icon-back',
			handler : function() {
				closeBox('detail');
			}
		} ],
		onLoad:function() {
			$('#O_ENABLE').combobox({
				data : v_o_enable_data,
				valueField : 'CODE_ID',
				textField : 'CODE_NAME',
				editable:false,  
				panelHeight:'auto'
			});
			$('#EMDEPART').combobox({
				data : v_gid_data.rowSet,
				valueField : 'DPT_NO',
				textField : 'DPT_NAME',
				editable:false,  
				panelHeight:'auto'
			});
			$('#ISPUSH').combobox({
				data : v_yesno_data,
				valueField : 'CODE_ID',
				textField : 'CODE_NAME',
				editable:false,  
				panelHeight:'auto'
			});
			$('#PUSH_ENCRYPT').combobox({
				data : v_push_encrypt_data,
				valueField : 'CODE_ID',
				textField : 'CODE_NAME',
				editable:false,  
				panelHeight:'auto'
			});
		}
	});

}
//加载修改子页面
function editRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	$('#detail').dialog( {
		title : '编辑',
		iconCls : $.getJwWindowPic(),
		width : ls_width * 0.65,
		height :ls_height * 0.95,
		closed : false,
		cache : false,
		maximizable:true,
		left:0,
		top:0,
		href : 'system_userTabDetail',
		queryParams:get_FIELD(is_row[0]),
		modal : true,
		buttons : [{
			text : '保存',
			iconCls : 'icon-ok',
			handler : function() {
				saveBox('detail','list');
			}
		}, {
			text : '关闭',
			iconCls : 'icon-back',
			handler : function() {
				closeBox('detail');
			}
		} ],
		onLoad:function() {
			$('#O_ENABLE').combobox({
				data : v_o_enable_data,
				valueField : 'CODE_ID',
				textField : 'CODE_NAME',
				editable:false,  
				panelHeight:'auto'
			});
			$('#EMDEPART').combobox({
				data : v_gid_data.rowSet,
				valueField : 'DPT_NO',
				textField : 'DPT_NAME',
				editable:false,  
				panelHeight:'auto'
			});
			$('#ISPUSH').combobox({
				data : v_yesno_data,
				valueField : 'CODE_ID',
				textField : 'CODE_NAME',
				editable:false,  
				panelHeight:'auto'
			});
			$('#PUSH_ENCRYPT').combobox({
				data : v_push_encrypt_data,
				valueField : 'CODE_ID',
				textField : 'CODE_NAME',
				editable:false,  
				panelHeight:'auto'
			});
		}
	});
}
//弹出层返回按扭
function closeBox(Box_id) {
	if(Box_id==null||Box_id==''||Box_id==undefined)
		Box_id='detail';
	$('#'+Box_id).dialog('close');
}
//弹出层保存按扭
function saveBox(Box_id,List_id) {
	if(Box_id==null||Box_id==''||Box_id==undefined)
		Box_id='detail';
	if(List_id==null||List_id==''||List_id==undefined)
		List_id='list';
	var returnIsValid = $('#inputForm').form('validate');
	if (returnIsValid) {
		//$("#inputForm").submit();
		var query = $("#inputForm").getFormVal();
		console.log(query);
		var v_result;
		if ($('#OPETYPE').val() == null || $('#OPETYPE').val() == undefined
				|| $('#OPETYPE').val() == '' || $('#OPETYPE').val()=='insert')
			v_result = jwAppCommonModel.jwAppsCommonActAction.insertSysUser(query);
		else
			v_result = jwAppCommonModel.jwAppsCommonActAction.updateSysUser(query);
		if (v_result != null && v_result != undefined) {
			closeBox(Box_id);
			$.messager.alert('提示', v_result.VALUE);
			$('#'+List_id).datagrid('reload');
		}
	}
}
/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	if(is_row[0].YSY!=null && is_row[0].YSY>0){
		$.messager.alert('提示',"有人员使用中,无法删除!",'info');
		return;
	}
	var code = is_row[0].CODE;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = jwAppCommonModel.jwAppsCommonActAction.deleteSysUser(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].CODE+",";
		if(is_row[i].YSY!=null && is_row[i].YSY>0){
			$.messager.alert('提示',"有角色使用中,无法删除!",'info');
			return;
		}
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_CODE = code;
		    var v_result = jwAppCommonModel.jwAppsCommonActAction.deleteSysUser(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	$('#list').datagrid('load',{});
	$("#usertab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#usertab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：10
 * 功能：单个重置密码
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function resetPass(index){
    $('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	$.messager.confirm('提示', '确定重置密码?', function(r) {
		if (r) {
			var v_query = {};
			v_query.FIELD_CODE = is_row[0].CODE;
			v_query.FIELD_USER_PWD_RESET = '1';
		    var v_result = jwAppCommonModel.jwAppsCommonActAction.resetUserPass(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：11
 * 功能：单个修改密码
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function modifyPass(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	$.messager.prompt('密码修改', '请输入新密码(空密码无效):', function(value){
		if (value){
			var v_query = {};
			v_query.FIELD_CODE = is_row[0].CODE;
			v_query.FIELD_USER_PWD = value;
		    var v_result = jwAppCommonModel.jwAppsCommonActAction.resetUserPass(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}

//推送树
function pushData(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var is_row_code = is_row[0].CODE;
	openEditPushAdd("jwAppsPushDataView_pushdata",is_row_code,"数据推送",true,0.85,0.85,0,0);	
}

function pushUrlOnloadCallback(is_row){
	//var type = $("#type").attr("value");
	console.log(is_row);
	var v_query = {};
	v_query.FIELD_CLIENT_CODE = is_row;
	v_query.FIELD_TYPE = "1";
	$('#inform').datagrid({
		//title:"推送人员",
	   // iconCls:$.getJwWindowPic(),
	    url:'jwAppsPushDataData_listPushAppUser',
	    queryParams : v_query,//查询参数
		rownumbers : false,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
		  				{
		  					field : 'ck',
		  					checkbox : true
		  				}
		  				       ]],
		columns : [ [
			    {
					field : 'PUSH_DATA_ID',
					title : '人员账号',
					width : 100,
					hidden : true
				}, {
					field : 'PUSH_DATA_NAME',
					title : '姓名',
					width : 100,
					align : 'center'
				}, {
					field : 'ID_NUMBER',
					title : '账号',
					width : 100,
					align : 'center'
				}, {
					field : 'UNIT_NAME',
					title : '部门',
					width : 100,
					align : 'center'
				}
				] ]
     });
	$('input:radio[name="type"]').change(function () {
		var item = $("input[name='type']:checked").val();
		if(item == 'unit'){
			v_query.FIELD_TYPE = "2";
			$('#inform').datagrid({
//				title:"应用选择列表",
			    iconCls:$.getJwWindowPic(),
			    url:'jwAppsPushDataData_listPushAppUnit',
			    queryParams : v_query,//查询参数
				rownumbers : true,//显示索引号
				singleSelect : false,//是否多选
				fitColumns : true,//是否撑满
				autoRowHeight : 30,//设定高度
//				pagination : true,//分页显示
//				pageSize : rows,//显示行数
//				pageList : listPageSize,//条数选择
				striped : true, //是否隔行显示
				remoteSort : false,//是否从服务器排序
				frozenColumns : [[
						{
							field : 'ck',
							checkbox : true
						}
						       ]],
				columns : [[
                        {
        					field : 'PUSH_DATA_ID',
        					title : '部门号',
        					width : 100,
        					hidden : true
        				}, {
							field : 'PUSH_DATA_NAME',
							title : '部门名',
							width : 100,
							align : 'center'
						}, {
							field : 'UNIT_ID',
							title : '部门号',
							width : 100,
							align : 'center'
						}
				          ]]
		     });
		}else if (item == 'user'){
			v_query.FIELD_TYPE = "1";
			$('#inform').datagrid({
				//title:"推送人员",
			    iconCls:$.getJwWindowPic(),
			    url:'jwAppsPushDataData_listPushAppUser',
			    queryParams : v_query,//查询参数
				rownumbers : false,//显示索引号
				singleSelect : false,//是否多选
				fitColumns : true,//是否撑满
				autoRowHeight : 30,//设定高度
				pagination : true,//分页显示
				pageSize : rows,//显示行数
				pageList : listPageSize,//条数选择
				striped : true, //是否隔行显示
				remoteSort : false,//是否从服务器排序
				columns : [ [
                        
					    {
							field : 'PUSH_DATA_ID',
							title : '账号',
							width : 100,
							hidden : true
						}, {
							field : 'PUSH_DATA_NAME',
							title : '姓名',
							width : 100,
							align : 'center'
						}, {
							field : 'ID_NUMBER',
							title : '账号',
							width : 100,
							align : 'center'
						}, {
							field : 'UNIT_NAME',
							title : '部门',
							width : 100,
							align : 'center'
						}
						] ]
		     });
		}
	});
}
function addToPush(is_entity){
	var item = $("input[name='type']:checked").val();
	var v_query = {};
	var row = $("#inform").datagrid('getSelections');
	if(row == null || row == ""){
		$.messager.alert('提示',"请选择需推送的内容！");
		return;
	}
	if(item == 'user'){
		var code="";
		for(var i=0; i<row.length; i++){
			code = code + row[i].PUSH_DATA_ID+",";
		}
		if(code.length>0){
			code = code.substring(0,code.length - 1);
		}
		 v_query.FIELD_CODE = code;
		 v_query.FIELD_CLIENT_CODE = is_entity;
		 var ret = jwAppUserModel.jwAppsUserActAction.pushUserU(v_query);
		 return ret;
	}else if (item == 'unit'){
		var code="";
		for(var i=0; i<row.length; i++){
			code = code + row[i].PUSH_DATA_ID+",";
		}
		if(code.length>0){
			code = code.substring(0,code.length - 1);
		}
		 v_query.FIELD_CODE = code;
		 v_query.FIELD_CLIENT_CODE = is_entity;
		 var ret = jwAppUnitModel.jwAppsUnitActAction.pushUnitO(v_query);
		 return ret;
	}	
}
//添加要推送的人员或者部门
function addToTree(is_entity){
	var item = $("input[name='type']:checked").val();
	if(item == 'user'){
		var is_row = {};
		is_row.G_ID = is_entity
		is_row.TYPE = "1";
		var gid = "";
		var modifyUrl = gaowj.WEB_APP_NAME+"/jwAppsUserView_pushChoice";
		openViewIframGroup("userTabChoice",modifyUrl,is_row,"人员选择",true,0.27,0.95,160,0);	
	}else if (item == 'unit'){
		var is_row = {};
		is_row.G_ID = is_entity
		is_row.TYPE = "2";
		var gid = "";
		var modifyUrl = gaowj.WEB_APP_NAME+"/jwAppsUnitView_pushUnitChoice";
		openViewIframGroup("userTabChoice",modifyUrl,is_row,"部门选择",true,0.27,0.95,160,0);
	}	
}
function addToGroup(is_entity){
	var a = document.getElementById("return_text").innerHTML;
	var v_query = {};
    v_query.FIELD_CLIENT_CODE = is_entity.G_ID;
    //console.log(is_entity.G_ID);
    var b=new Array();
    b = a.split(",");
    var c = "";
    for(var i=0;i<b.length;i++){
    	if(b[i].indexOf("2_")>=0 || b[i].indexOf("1_")>=0){
    		c = b[i].substring(2);
    		v_query.FIELD_PUSH_DATA_ID = c;
    		v_query.FIELD_TYPE = is_entity.TYPE;
    		var result = jwAppPushDataModule.jwAppsPushDataActAction.insertOrUpdatePushApp(v_query);
    	}    	
    }
    /*if(c.length>0){
    	//console.log(c.length);
    	c = c.substring(0,c.length - 1);
    }
    console.log(c);
    v_query.FIELD_PUSH_DATA_ID = c;
    v_query.FIELD_TYPE = is_entity.TYPE;
    var result = jwAppPushDataModule.jwAppsPushDataActAction.insertPushApp(v_query);*/
    return result;
}

/****/
/*//批量推送
function pushData(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var is_row_code = is_row[0].CODE;
	openEditPush("jwAppsPushDataView_pushdata",is_row_code,"数据推送",true,0.85,0.85,0,0);	
}

function pushUrlOnloadCallback(is_row){
	//var type = $("#type").attr("value");
	var v_query = {};
	v_query.FIELD_CODE = is_row;
	$('#inform').datagrid({
		//title:"推送人员",
	   // iconCls:$.getJwWindowPic(),
	    url:'jwAppsPushDataData_listPushDataUser',
	    queryParams : v_query,//查询参数
		rownumbers : false,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
		  				{
		  					field : 'ck',
		  					checkbox : true
		  				}
		  				       ]],
		columns : [ [
                {field:'USER_ID',title:'人员编号',hidden:'true'},
			    {
					field : 'ID_NUMBER',
					title : '人员帐号',
					width : 100,
					align : 'center'
				}, {
					field : 'USER_NAME',
					title : '姓名',
					width : 100,
					align : 'center'
				},{
					field : 'NAME',
					title : '部门',
					width : 80,
					align : 'center'
				}
				] ]
     });
	$('input:radio[name="type"]').change(function () {
		var item = $("input[name='type']:checked").val();
		if(item == 'unit'){
			$('#inform').datagrid({
//				title:"应用选择列表",
			    iconCls:$.getJwWindowPic(),
			    url:'jwAppsPushDataData_listPushDataUnit',
			    queryParams : v_query,//查询参数
				rownumbers : true,//显示索引号
				singleSelect : false,//是否多选
				fitColumns : true,//是否撑满
				autoRowHeight : 30,//设定高度
//				pagination : true,//分页显示
//				pageSize : rows,//显示行数
//				pageList : listPageSize,//条数选择
				striped : true, //是否隔行显示
				remoteSort : false,//是否从服务器排序
				frozenColumns : [[
						{
							field : 'ck',
							checkbox : true
						}
						       ]],
				columns : [[
                        {field:'UUID',title:'单位编号',hidden:'true'},
                        {field:'UNIT_ID',title:'部门编号',width:100,align:'center'},
		               {field:'NAME',title:'部门',width:150,align:'center'}
				          ]]
		     });
		}else if (item == 'user'){
			
			$('#inform').datagrid({
				//title:"推送人员",
			    iconCls:$.getJwWindowPic(),
			    url:'jwAppsPushDataData_listPushDataUser',
			    queryParams : v_query,//查询参数
				rownumbers : false,//显示索引号
				singleSelect : false,//是否多选
				fitColumns : true,//是否撑满
				autoRowHeight : 30,//设定高度
				pagination : true,//分页显示
				pageSize : rows,//显示行数
				pageList : listPageSize,//条数选择
				striped : true, //是否隔行显示
				remoteSort : false,//是否从服务器排序
				columns : [ [
                        {field:'USER_ID',title:'人员编号',hidden:'true'},
					    {
							field : 'ID_NUMBER',
							title : '人员帐号',
							width : 100,
							align : 'center'
						}, {
							field : 'USER_NAME',
							title : '姓名',
							width : 100,
							align : 'center'
						},{
							field : 'NAME',
							title : '部门',
							width : 80,
							align : 'center'
						}
						] ]
		     });
		}
	});
}
function addToPush(is_entity){
	var item = $("input[name='type']:checked").val();
	var v_query = {};
	var row = $("#inform").datagrid('getSelections');
	if(row == null || row == ""){
		$.messager.alert('提示',"请选择需推送的内容！");
		return;
	}
	if(item == 'user'){
		var code="";
		for(var i=0; i<row.length; i++){
			code = code + row[i].USER_ID+",";
		}
		if(code.length>0){
			code = code.substring(0,code.length - 1);
		}
		 v_query.FIELD_CODE = code;
		 v_query.FIELD_CLIENT_CODE = is_entity;
		 var ret = jwAppUserModel.jwAppsUserActAction.pushUserU(v_query);
		 return ret;
	}else if (item == 'unit'){
		var code="";
		for(var i=0; i<row.length; i++){
			code = code + row[i].UUID+",";
		}
		if(code.length>0){
			code = code.substring(0,code.length - 1);
		}
		 v_query.FIELD_CODE = code;
		 v_query.FIELD_CLIENT_CODE = is_entity;
		 var ret = jwAppUnitModel.jwAppsUnitActAction.pushUnitO(v_query);
		 return ret;
	}	
}*/
//添加要推送的人员或者部门
/*function addToTree(is_entity){
	var is_row = {};
	var gid = "G000001";
	var modifyUrl = gaowj.WEB_APP_NAME+"/jwAppsUserView_groupChoice?FIELD_G_ID="+gid;
	//alert("1");
	openViewIframGroup("userTabChoice",modifyUrl,is_row,"人员选择",true,0.27,0.95,160,0);
	//alert("2");
}*/